[arch-commits] Commit in totem-xine/repos (4 files)

Jan de Groot jgc at archlinux.org
Sun Jul 20 22:07:49 UTC 2008


    Date: Sunday, July 20, 2008 @ 18:07:49
  Author: jgc
Revision: 5800

Merged revisions 4465-5799 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/totem-xine/trunk

........
  r5791 | jgc | 2008-07-20 21:51:59 +0000 (Sun, 20 Jul 2008) | 2 lines
  
  upgpkg: totem-xine 2.22.2-2
      Fix mozilla plugin build, fix thumbnailing for FLV
........
  r5793 | jgc | 2008-07-20 21:54:07 +0000 (Sun, 20 Jul 2008) | 2 lines
  
  upgpkg: totem-xine 2.22.2-3
      Release with correct pkgrel
........

Added:
  totem-xine/repos/extra-i686/video-flv.patch
    (from rev 5793, totem-xine/trunk/video-flv.patch)
Modified:
  totem-xine/repos/extra-i686/	(properties)
  totem-xine/repos/extra-i686/30_totem_xulrunner19.patch
  totem-xine/repos/extra-i686/PKGBUILD

----------------------------+
 30_totem_xulrunner19.patch |    2 +-
 PKGBUILD                   |   29 ++++++++++++++++-------------
 video-flv.patch            |   10 ++++++++++
 3 files changed, 27 insertions(+), 14 deletions(-)


Property changes on: totem-xine/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /totem-xine/trunk:1-4464
   + /totem-xine/trunk:1-5799

Modified: extra-i686/30_totem_xulrunner19.patch
===================================================================
--- extra-i686/30_totem_xulrunner19.patch	2008-07-20 22:05:13 UTC (rev 5799)
+++ extra-i686/30_totem_xulrunner19.patch	2008-07-20 22:07:49 UTC (rev 5800)
@@ -116,7 +116,7 @@
 -	MOZILLA_IDLDIR="`$PKG_CONFIG --variable=idldir $MOZILLA-xpcom`"
 +	dnl This only works on gecko 1.9 and 1.8
 +	if $PKG_CONFIG --exists libxul; then
-+		MOZILLA_IDLDIR="`$PKG_CONFIG --variable=idldir libxul`/unstable"
++		MOZILLA_IDLDIR="`$PKG_CONFIG --variable=idldir libxul`"
 +	else
 +		MOZILLA_IDLDIR="`$PKG_CONFIG --variable=idldir $MOZILLA-xpcom`"
 +	fi

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-20 22:05:13 UTC (rev 5799)
+++ extra-i686/PKGBUILD	2008-07-20 22:07:49 UTC (rev 5800)
@@ -3,7 +3,7 @@
 
 pkgname=totem-xine
 pkgver=2.22.2
-pkgrel=2
+pkgrel=3
 url="http://www.hadess.net/totem.php3"
 pkgdesc="A GNOME2 integrated movie player based on xine."
 arch=(i686 x86_64)
@@ -15,32 +15,35 @@
 provides=("totem=${pkgver}")
 install=totem.install
 source=(http://ftp.gnome.org/pub/gnome/sources/totem/2.22/totem-${pkgver}.tar.bz2
-	30_totem_xulrunner19.patch)
-md5sums=('6062080e81b4859f87fee8a592b92489' '42e3246acb3163bab35fc12816a19419')
+	30_totem_xulrunner19.patch
+	video-flv.patch)
+md5sums=('6062080e81b4859f87fee8a592b92489'
+         'ce0b0bdd822ad404bdc24e2fce3e7e21'
+         '8c66edc0e4fd64612189e76f57c40873')
 
-
 build() {
-  cd ${startdir}/src/totem-${pkgver}
-  patch -Np1 -i ${startdir}/src/30_totem_xulrunner19.patch || return 1
+  cd ${srcdir}/totem-${pkgver}
+  patch -Np1 -i ${srcdir}/30_totem_xulrunner19.patch || return 1
+  patch -Np1 -i ${srcdir}/video-flv.patch || return 1
   libtoolize --force --copy || return 1
   aclocal || return 1
   autoconf || return 1
   automake --add-missing || return 1
-  ./configure --enable-python || return 1
+  ./configure --enable-python --enable-xine || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --libexecdir=/usr/lib/totem \
               --localstatedir=/var --disable-static \
 	      --enable-nautilus --enable-xine \
 	      --enable-mozilla --with-dbus \
-	      --enable-python \
+	      --enable-python --with-gecko=mozilla \
 	      --disable-scrollkeeper || return 1
   make || return 1
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
-       DESTDIR=${startdir}/pkg install || return 1
+       DESTDIR=${pkgdir} install || return 1
 
-  rm -rf ${startdir}/pkg/usr/lib/mozilla
+  rm -rf ${pkgdir}/usr/lib/mozilla
 
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d ${pkgdir}/usr/share/gconf/schemas
+  gconf-merge-schema ${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }

Copied: totem-xine/repos/extra-i686/video-flv.patch (from rev 5793, totem-xine/trunk/video-flv.patch)
===================================================================
--- extra-i686/video-flv.patch	                        (rev 0)
+++ extra-i686/video-flv.patch	2008-07-20 22:07:49 UTC (rev 5800)
@@ -0,0 +1,10 @@
+--- trunk/data/mime-type-list.txt	2008/03/14 00:50:55	5298
++++ trunk/data/mime-type-list.txt	2008/05/26 13:11:33	5433
+@@ -79,6 +79,7 @@
+ video/x-flc
+ video/x-fli
+ video/x-flic
++video/x-flv
+ video/x-m4v
+ video/x-matroska
+ video/x-mpeg





More information about the arch-commits mailing list